%define oname   text-hyphen

Name:       ruby-%{oname}
Epoch:      1
Version:    1.0.2
Release:    %mkrel 3
Summary:    Hyphenate words using modified versions of TeX hyphenation patterns
License:    Ruby License and MIT
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Hyphen will hyphenate words using modified versions of TeX hyphenation
patterns. Text::Hyphen will properly hyphenate various words according to 
the rules of the language the word is written in. The algorithm is based 
on that of the TeX typesetting system by Donald E. Knuth. This is based on
the Perl implementation of TeX::Hyphen[1] and the Ruby port[2]. The 
language hyphenation pattern files are based on the sources available from
CTAN[3] as of 2004.12.19 and have been translated by Austin Ziegler.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/hyphen
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENCE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1:1.0.2-3.mga3
+ Revision: 396570
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.2-2.mga3
+ Revision: 381562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1:1.0.2-1.mga3
+ Revision: 314128
- new version 1.0.2

* Fri Nov 02 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 312510
- new version 1.4.1

* Thu Jun 07 2012 solbu <solbu> 1.2-1.mga3
+ Revision: 256706
- New version
- Spec cleanup

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.2-1.mga1
+ Revision: 51441
- imported package ruby-text-hyphen

